
<!-- <div class="alerta exitosa">
  <strong>Saludos</strong> desde muy lejano
</div> -->

<!-- <div [ngClass]="'alerta exitosa'">
  <strong>Saludos</strong> desde muy lejano
</div> -->

<div [ngClass]= "alerta">
  <strong>Saludos</strong> desde muy lejano
</div>

<button type="button" (click) = "alerta = 'alerta advertencia'" class="boton">Advertencia</button>

<button type="button" (click)= "alerta = 'alerta error'" class="boton err"> Error</button>


<!-- <h3 [ngClass]= "{'alerta error':true}">
  como estas
</h3>
<h3 [ngClass]= "{'alerta error':false}">
  como estas
</h3>
<h3 [ngClass]= "{'alerta error':propiedades.error}">
  como estas
</h3>
<h3 [ngClass]= "{'alerta error':propiedades.error}">
  como estas
</h3> -->
<!-- 
<h3 [ngClass]= "{'alerta error':propiedades.error, 'alerta advertencia':!propiedades.error}">
  como estas
</h3> -->

<h3 class="alerta" [ngClass]= "{'error':propiedades.error, 'advertencia':!propiedades.error}">
  como estas
</h3>
<!-- rojo -->

<!-- <button type="button" class="boton danger" (click)= "propiedades.error = !propiedades.error">Cambiar </button> -->

<button type="button" (click)= "propiedades.error = !propiedades.error" class="boton" [ngClass]= "{'danger': propiedades.error, 'err': !propiedades.error}">Cambiar </button>


<br><br>

<h3>Proceso Asincronico</h3>
<button type = "button" class="boton" (click)= "ejecutar()" [disabled]= "loading"> <i class="fa fa fresh" [ngClass] ="{'fa-save':!loading , 'fa-spin fa-refresh': loading }"></i>
  
  <!-- flechitas de awesome -poner en index-->
  <!-- disabled -->
  <span *ngIf = "!loading ">Guardar cambios</span>
  <span *ngIf = "!loading ">Espere por favor...</span>
  
</button>